%bcond_without check

%global goipath         github.com/termie/go-shutil
%global commit          bcacb06fecaeec8dc42af03c87c6949f4a05c74c

%gometa

%global common_description %{expand:
High-level Filesystem Operations (for Go)

A direct port of a few of the functions from Python's shutil package
for high-level filesystem operations.
Functions so far: we support Copy, CopyFile, CopyMode and CopyTree.}

%global golicenses      LICENSE
%global godocs          README.rst

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Golang port of python's shutil

License:        MIT

URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
